version: '3.7'

services:

  nginx:
    image: nginx:alpine
    restart: "no"
    ports:
      - "80:80"
    volumes:
      - "$PWD/.docker/nginx/conf.d:/etc/nginx/conf.d:ro"
      - "$PWD/public:/home/docker/public"
    networks:
      docker_network:
        aliases:
          - symfony4-skeleton.localhost

  php:
    build:
      context: $PWD
      dockerfile: .docker/Dockerfile
      target: php_dev
      args:
        - "DOCKER_USER_ID"
    restart: "no"
    env_file:
      - ".docker/docker.php.env"
    user: "devops"
    working_dir: "/home/docker"
    volumes:
      - "$PWD:/home/docker"
    networks:
      - "docker_network"

  db:
    image: postgres:11-alpine
    restart: "no"
    ports:
      - "5432:5432"
    env_file:
      - ".docker/docker.postgres.env"
    volumes:
      - "$PWD/.data/db:/var/lib/postgresql/data"
    networks:
      - "docker_network"

networks:
  docker_network:
    driver: bridge
